Subject: RE: telnet
From: Vince Hoffman <[email-masked]>
To: "'H.Merijn Brand'" <[email-masked]>
Cc: Cygwin Development <[email-masked]>
Date: Tue, 21 Jan 2003 13:57:35 -0000

Umm if you read the inetutils-1.3.2.README in /usr/doc/Cygwin it recomends
installing as a service with the command  inetd --install-as-service rather
than using cygrunsrv. also are your mounts system wide rather than user ?

> -----Original Message-----
> From: H.Merijn Brand [mailto:[email-masked]]
> Sent: 21 January 2003 13:48
> To: Gerrit P. Haase
> Cc: Cygwin Development
> Subject: Re: telnet
> 
> 
> On Mon 20 Jan 2003 11:14, "Gerrit P. Haase" 
> <[email-masked]> wrote:
> > H.Merijn schrieb:
> > 
> > > Given that cygwin is installed on a Win2k/sp3 target, is 
> there an easy way to
> > > enable telnet from another machine?
> > 
> > Use inetd, this is in the package inetutils.
> > It is installed via cygrunsrv as service.
> 
> There might be a Cygwin bug here. If I do:
> 
> # cygrunsrv -I inetd -p C:/cygwin/usr/sbin/inetd.exe -o
> 
> I indeed see a new service, but the service is
> 
> 	Display name:       inetd
> 	Description:
> 	Path to executable: C:\Cygwin\bin\cygrunsrv.exe
> 	Startup type:       Automatic
> 
> If I then use regedit to change it to
> 
> 	Display name:       inetd
> 	Description:
> 	Path to executable: C:\Cygwin\usr\sbin\inetd.exe
> 	Startup type:       Automatic
> 
> I get an error that the service cannot find cygwin1.dll
> When I copy it to /usr/sbin, all works (though I find 
> multiple warnings in the
> system application log)
> 
> C:\Cygwin\bin is in the system environment's PATH (not in the user's
> environment, so all users get it)
> 
> Please keep me Cc'd, I'm not subscribed.
> 
> > Or use sshd, this is in the openssh package,
> > a little more secure since all transfer is
> > encrypted.
> 
> -- 
> H.Merijn Brand        Amsterdam Perl Mongers 
(http://amsterdam.pm.org/)
using perl-5.6.1, 5.8.0 & 633 on HP-UX 10.20 & 11.00, AIX 4.2, AIX 4.3,
  WinNT 4, Win2K pro & WinCE 2.11.  Smoking perl CORE: [email-masked]
http://archives.develooper.com/[email-masked]/   [email-masked]
send smoke reports to: [email-masked], QA: http://qa.perl.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/